Subject: Re: [PATCH 1/1] show-ref: improve short help messages of options

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Jul 2024 08:46:32 -0700

Patrick Steinhardt <[email-masked]> writes:

> Meanwhile, I think that the proposed change strictly improves this
> message and thus don't see a reason not to take it. Unless we see
> somebody come up with a less-awkward solution, that is.

Oh, that part is uncontroversial.

The wording without double-dashes has been with us forever since the
command was updated to use the parse-options API by 69932bc6
(show-ref: migrate to parse-options, 2009-06-20), and so far nobody
complained about it, so while "strictly improves" may be true (i.e.
the delta may not be negative), the degree of improvement may not be
all that much to be worth the combined brain cycles we are spending
on this topic.  Taking the patch would not make the future work any
harder to truly improve it further, so I do not see any reason not
to take it.

Thanks.